<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>ProjectACES: tests/test_dijkstra.cpp File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">ProjectACES
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_59425e443f801f1f2fd8bbe4959a3ccf.html">tests</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">test_dijkstra.cpp File Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>File that contains the definitions of the tests used.  
<a href="#details">More...</a></p>
<div class="textblock"><code>#include &lt;gtest/gtest.h&gt;</code><br />
<code>#include &lt;iostream&gt;</code><br />
<code>#include &quot;<a class="el" href="dijkstra_8hpp_source.html">../include/dijkstra.hpp</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="IO__dijkstra_8hpp_source.html">../include/IO_dijkstra.hpp</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for test_dijkstra.cpp:</div>
<div class="dyncontent">
<div class="center"><img src="test__dijkstra_8cpp__incl.png" border="0" usemap="#atests_2test__dijkstra_8cpp" alt=""/></div>
<map name="atests_2test__dijkstra_8cpp" id="atests_2test__dijkstra_8cpp">
<area shape="rect" title="File that contains the definitions of the tests used." alt="" coords="129,5,295,32"/>
<area shape="rect" title=" " alt="" coords="5,80,109,107"/>
<area shape="rect" title=" " alt="" coords="133,80,213,107"/>
<area shape="rect" href="dijkstra_8hpp.html" title="File that contains the declaration of the struct Dijkstra_node and class Dijkstra." alt="" coords="233,155,396,181"/>
<area shape="rect" href="IO__dijkstra_8hpp.html" title="File that contains the methods used to get inputs from user (files, manual inputs,..." alt="" coords="289,80,471,107"/>
</map>
</div>
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ga10de4f4ce4eb9902f9f48f18077993bd"><td class="memItemLeft" align="right" valign="top">
&#160;</td><td class="memItemRight" valign="bottom"><b>TEST</b> (basic_find_target_tests, small_maze_test)</td></tr>
<tr class="separator:ga10de4f4ce4eb9902f9f48f18077993bd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga4608e7d2ee7b167f069b84461b3e7609"><td class="memItemLeft" align="right" valign="top">
&#160;</td><td class="memItemRight" valign="bottom"><b>TEST</b> (basic_tests, same_start_and_target_test)</td></tr>
<tr class="separator:ga4608e7d2ee7b167f069b84461b3e7609"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad46b86fe71a580211d751682bff568b5"><td class="memItemLeft" align="right" valign="top">
&#160;</td><td class="memItemRight" valign="bottom"><b>TEST</b> (random_find_target_tests, small_maze_test)</td></tr>
<tr class="separator:gad46b86fe71a580211d751682bff568b5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gabbcbaae79a2930b459392a2c35a794e0"><td class="memItemLeft" align="right" valign="top">
&#160;</td><td class="memItemRight" valign="bottom"><b>TEST</b> (random_find_target_tests, medium_maze_test)</td></tr>
<tr class="separator:gabbcbaae79a2930b459392a2c35a794e0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga64804faf541f49c83728c5d29ac209d6"><td class="memItemLeft" align="right" valign="top">
&#160;</td><td class="memItemRight" valign="bottom"><b>TEST</b> (random_find_target_tests, large_maze_test)</td></tr>
<tr class="separator:ga64804faf541f49c83728c5d29ac209d6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3c04138a5bfe5d72780bb7e82a18e627"><td class="memItemLeft" align="right" valign="top"><a id="a3c04138a5bfe5d72780bb7e82a18e627"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>main</b> (int argc, char **argv)</td></tr>
<tr class="separator:a3c04138a5bfe5d72780bb7e82a18e627"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>File that contains the definitions of the tests used. </p>
</div></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
